Subject: bug#13743: 24.2.93; Segmentation fault when trying to [s]teal a file opened elsewhere

From: Dmitry Gutov <[email-masked]>
Date: Mon, 25 Feb 2013 23:08:04 +0400

On 25.02.2013 20:27, Eli Zaretskii wrote:
> Btw, what mmm-mode does is quite nasty, because it causes stale lock
> files to be left behind, if you press 'p' when Emacs says that the
> file is locked.  This is because mmm-mode makes the buffer unmodified
> again after doing whatever it is that causes these prompts, and if you
> then kill Emacs without ever editing the file, the function that
> unlocks the file is not called (because the buffer is not modified).

AFAICT, it only did that to make sure the subsequent `kill-buffer' 
doesn't query the user. It doesn't seem to do that either way, so I 
removed the `set-buffer-modified-p' call.

But Emacs still leaves the orphan lock files upon exit.
Maybe that has something to do with the fact that said modification and 
killing are being performed in a temporary indirect buffer.